Package org.eclipse.mat.report

# Class QuerySpec

java.lang.Object
org.eclipse.mat.report.Spec
org.eclipse.mat.report.QuerySpec

All Implemented Interfaces:
  `IResult`

public class QuerySpec extends Spec
A container for a result of a query. Allows a link for a command to be executed from the report.

## Constructor Summary

Constructors
Constructor
Description
`QuerySpec()`
Create a QuerySpec with no title
`QuerySpec(String name)`
Create a QuerySpec with a title.
`QuerySpec(String name, IResult result)`
Create a QuerySpec with a title and a result of executing a query.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommand()`
Get the command to be executed by Memory Analyzer when the user clicks on a link in the report.
`IResult`
`getResult()`
Gets the body of this section which is the result of a query.
`void`
`merge(Spec other)`
Merge with another Spec.
`void`
`setCommand(String query)`
Sets a Memory Analyzer command to be executed when the user clicks on an icon in the report.
`void`
`setResult(IResult result)`
Sets the body of this section to the result of a query.

### Methods inherited from class org.eclipse.mat.report.Spec

`getName, getParams, getResultMetaData, getTemplate, putAll, set, setName, setTemplate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QuerySpec

public QuerySpec()
Create a QuerySpec with no title

### QuerySpec

public QuerySpec(String name)
Create a QuerySpec with a title.

Parameters:
  `name` - the title

### QuerySpec

public QuerySpec(String name, IResult result)
Create a QuerySpec with a title and a result of executing a query.

Parameters:
  `name` - the title
  `result` - the result of executing a query

## Method Details

### getCommand

public String getCommand()
Get the command to be executed by Memory Analyzer when the user clicks on a link in the report.

Returns:
  the command

### setCommand

public void setCommand(String query)
Sets a Memory Analyzer command to be executed when the user clicks on an icon in the report.

Parameters:
  `query` - the command to be executed

### getResult

public IResult getResult()
Gets the body of this section which is the result of a query.

Returns:
  the body of the section

### setResult

public void setResult(IResult result)
Sets the body of this section to the result of a query.

Parameters:
  `result` - the result to be added to the report

### merge

public void merge(Spec other)
Description copied from class: `Spec`
Merge with another Spec. Combine the parameters and choose the other name if this has none.

Overrides:
  `merge` in class `Spec`
Parameters:
  `other` - the other Spec